<!-- Soal 1-->
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>
</head>
<body>
  <div id="app">
        <input type="text" name="nameInput" v-model="cari">
    <ul>
        <li v-for="book in filterBuku">{{book}}</li>
    </ul>
  </div>
  
  <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
  <script>
    var vm = new Vue({
        el: '#app',
        data: {
            cari : '',
            books : [
                'Kalkulus Dasar',
                'Fisika Dasar',
                'Aljabar Linier Elementer',
                'Aljabar Abstrak',
                'Algoritma Pemrograman'
            ]
        },
        computed : {
            filterBuku : function(){
                return this.books.filter((buku)=>{
                    namaBuku=buku.toLowerCase()
                    return namaBuku.match(this.cari)
                })           
             }
        }
    });
  </script>
</body>
</html>